Assignments Assignments

Macros | Functions | Variables
jutils.cpp File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

## Macros
#define | JPEG_INTERNALS
#define | FMEMCOPY(dest, src, size)
#define | FMEMZERO(target, size)

## Functions
| jdiv_round_up (long a, long b)
| jround_up (long a, long b)
| jcopy_sample_rows (JSAMPARRAY input_array, int source_row, JSAMPARRAY output_array, int dest_row, int num_rows, JDIMENSION num_cols)
| jcopy_block_row (JBLOCKROW input_row, JBLOCKROW output_row, JDIMENSION num_blocks)
| jzero_far (void FAR *target, size_t bytestozero)

## Variables
const int | jpeg_natural_order [DCTSIZE2+16]

## Macro Definition Documentation

## ◆ FMEMCOPY

#define FMEMCOPY | ( |  | dest,
|  |  | src,
|  |  | size )

Value:
MEMCOPY(dest,src,size)
MEMCOPY
#define MEMCOPY(dest, src, size)
Definition jinclude.h:68

## ◆ FMEMZERO

#define FMEMZERO | ( |  | target,
|  |  | size )

Value:
MEMZERO(target,size)
MEMZERO
#define MEMZERO(target, size)
Definition jinclude.h:67

## ◆ JPEG_INTERNALS

#define JPEG_INTERNALS

## Function Documentation

## ◆ jcopy_block_row()

jcopy_block_row | ( | JBLOCKROW | input_row,
|  | JBLOCKROW | output_row,
|  | JDIMENSION | num_blocks )

## ◆ jcopy_sample_rows()

jcopy_sample_rows | ( | JSAMPARRAY | input_array,
|  | int | source_row,
|  | JSAMPARRAY | output_array,
|  | int | dest_row,
|  | int | num_rows,
|  | JDIMENSION | num_cols )

## ◆ jdiv_round_up()

jdiv_round_up | ( | long | a,
|  | long | b )

## ◆ jround_up()

jround_up | ( | long | a,
|  | long | b )

## ◆ jzero_far()

jzero_far | ( | void FAR * | target,
|  | size_t | bytestozero )

## Variable Documentation

## ◆ jpeg_natural_order

const int jpeg_natural_order[DCTSIZE2+16]

Initial value:
= {
0, 1, 8, 16, 9, 2, 3, 10,
17, 24, 32, 25, 18, 11, 4, 5,
12, 19, 26, 33, 40, 48, 41, 34,
27, 20, 13, 6, 7, 14, 21, 28,
35, 42, 49, 56, 57, 50, 43, 36,
29, 22, 15, 23, 30, 37, 44, 51,
58, 59, 52, 45, 38, 31, 39, 46,
53, 60, 61, 54, 47, 55, 62, 63,
63, 63, 63, 63, 63, 63, 63, 63,
63, 63, 63, 63, 63, 63, 63, 63
}